Bug 855731 - Cannot use abrt to submit bugs on gnome-shell.x86_64
Cannot use abrt to submit bugs on gnome-shell.x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 02:50 EDT by John Slade
Modified: 2012-10-22 06:53 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-22 06:53:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Slade 2012-09-10 02:50:58 EDT
Description of problem:

Trying to submit bugs on gnome-shell (version gnome-shell-3.4.1-5.fc17.x86_64).

But when the remote debug trace is trying to be created it keeps failing.

This occurs on every crash I try and submit for gnome-shell using abrt.

Response from abrt:

=== OUTPUT ===
INFO: mock.py version 1.1.18 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
State Changed: lock buildroot
State Changed: clean
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.18
INFO: Mock Version: 1.1.18
INFO: calling preinit hooks
State Changed: running yum
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/943734224/root/', '--skip-broken', 'install', 'gnome-shell-3.4.1-5.fc17', 'GConf2-debuginfo-3.2.5-1.fc17.x86_64', '1:NetworkManager-debuginfo-0.9.4.0-9.git20120521.fc17.x86_64', 'PackageKit-debuginfo-0.7.5-1.fc17.x86_64', 'PackageKit-gtk3-module-0.7.5-1.fc17.x86_64', 'accountsservice-debuginfo-0.6.21-2.fc17.x86_64', 'adwaita-gtk3-theme-3.4.2-1.fc17.x86_64', 'atk-debuginfo-2.4.0-1.fc17.x86_64', 'cairo-debuginfo-1.10.2-7.fc17.x86_64', 'clutter-debuginfo-1.10.8-1.fc17.x86_64', 'cogl-debuginfo-1.10.2-1.fc17.x86_64', 'cyrus-sasl-debuginfo-2.1.23-31.fc17.x86_64', '1:dbus-debuginfo-1.4.10-4.fc17.x86_64', 'dbus-glib-debuginfo-0.92-3.fc17.x86_64', '1:dbus-libs-1.4.10-4.fc17.x86_64', 'dconf-0.12.1-1.fc17.x86_64', 'dconf-debuginfo-0.12.1-1.fc17.x86_64', 'e2fsprogs-debuginfo-1.42.3-2.fc17.x86_64', 'evolution-data-server-debuginfo-3.4.3-1.fc17.x86_64', 'expat-2.1.0-1.fc17.x86_64', 'expat-debuginfo-2.1.0-1.fc17.x86_64', 'flac-debuginfo-1.2.1-9.fc17.x86_64', '1:folks-0.6.9-2.fc17.x86_64', '1:folks-debuginfo-0.6.9-2.fc17.x86_64', 'fontconfig-debuginfo-2.8.0-7.fc17.x86_64', 'freetype-debuginfo-2.4.8-3.fc17.x86_64', 'gcc-base-debuginfo-4.7.0-5.fc17.x86_64', 'gcr-debuginfo-3.4.1-2.fc17.x86_64', 'gdk-pixbuf2-debuginfo-2.26.1-1.fc17.x86_64', 'gjs-1.32.0-1.fc17.x86_64', 'gjs-debuginfo-1.32.0-1.fc17.x86_64', 'glib-networking-2.32.3-1.fc17.x86_64', 'glib-networking-debuginfo-2.32.3-1.fc17.x86_64', 'glib2-debuginfo-2.32.3-1.fc17.x86_64', 'glibc-2.15-56.fc17.x86_64', 'glibc-debuginfo-2.15-56.fc17.x86_64', '1:gnome-bluetooth-3.4.2-1.fc17.x86_64', '1:gnome-bluetooth-debuginfo-3.4.2-1.fc17.x86_64', 'desktop-backgrounds-gnome', 'gnome-keyring-3.4.1-2.fc17.x86_64', 'desktop-backgrounds-gnome', 'gnome-keyring-debuginfo-3.4.1-2.fc17.x86_64', 'desktop-backgrounds-gnome', 'gnome-menus-debuginfo-3.4.2-1.fc17.x86_64', 'desktop-backgrounds-gnome', 'gnome-shell-3.4.1-5.fc17.x86_64', 'desktop-backgrounds-gnome', 'gnome-shell-debuginfo-3.4.1-5.fc17.x86_64', 'desktop-backgrounds-gnome', 'gnome-themes-standard-debuginfo-3.4.2-1.fc17.x86_64', 'gnutls-debuginfo-2.12.17-1.fc17.x86_64', 'gobject-introspection-debuginfo-1.32.1-1.fc17.x86_64', 'gsm-debuginfo-1.0.13-6.fc17.x86_64', 'gstreamer-debuginfo-0.10.36-1.fc17.x86_64', 'gtk3-debuginfo-3.4.4-1.fc17.x86_64', 'gvfs-1.12.3-1.fc17.x86_64', 'gvfs-debuginfo-1.12.3-1.fc17.x86_64', '1:js-debuginfo-1.8.5-9.fc17.x86_64', 'json-c-debuginfo-0.9-4.fc17.x86_64', 'json-glib-debuginfo-0.14.2-2.fc17.x86_64', 'keyutils-debuginfo-1.5.5-2.fc17.x86_64', 'keyutils-libs-1.5.5-2.fc17.x86_64', 'krb5-debuginfo-1.10.2-2.fc17.x86_64', 'krb5-libs-1.10.2-2.fc17.x86_64', 'libICE-debuginfo-1.0.8-1.fc17.x86_64', 'libSM-debuginfo-1.2.1-1.fc17.x86_64', 'libX11-debuginfo-1.5.0-2.fc17.x86_64', 'libXau-debuginfo-1.0.6-3.fc17.x86_64', 'libXcomposite-debuginfo-0.4.3-3.fc17.x86_64', 'libXcursor-debuginfo-1.1.13-1.fc17.x86_64', 'libXdamage-debuginfo-1.1.3-3.fc17.x86_64', 'libXext-debuginfo-1.3.1-1.fc17.x86_64', 'libXfixes-debuginfo-5.0-2.fc17.x86_64', 'libXi-debuginfo-1.6.1-1.fc17.x86_64', 'libXinerama-debuginfo-1.1.2-1.fc17.x86_64', 'libXrandr-debuginfo-1.3.1-3.fc17.x86_64', 'libXrender-debuginfo-0.9.7-1.fc17.x86_64', 'libXtst-debuginfo-1.2.0-3.fc17.x86_64', 'libXxf86vm-debuginfo-1.1.2-1.fc17.x86_64', 'libasyncns-debuginfo-0.8-3.fc17.x86_64', 'libbluray-debuginfo-0.2.2-1.fc17.x86_64', 'libcanberra-0.28-6.fc17.x86_64', 'libcanberra-debuginfo-0.28-6.fc17.x86_64', 'libcanberra-gtk3-0.28-6.fc17.x86_64', 'libcom_err-1.42.3-2.fc17.x86_64', 'libcroco-debuginfo-0.6.5-1.fc17.x86_64', 'libdrm-debuginfo-2.4.33-3.fc17.x86_64', 'libffi-debuginfo-3.0.10-2.fc17.x86_64', 'libgcc-4.7.0-5.fc17.x86_64', 'libgcrypt-1.5.0-3.fc17.x86_64', 'libgcrypt-debuginfo-1.5.0-3.fc17.x86_64', 'libgee06-debuginfo-0.6.4-1.fc17.x86_64', 'libgnome-keyring-debuginfo-3.4.1-2.fc17.x86_64', 'libgnomekbd-debuginfo-3.4.0.2-2.fc17.x86_64', 'libgpg-error-1.10-2.fc17.x86_64', 'libgpg-error-debuginfo-1.10-2.fc17.x86_64', '2:libogg-debuginfo-1.3.0-1.fc17.x86_64', 'libpciaccess-debuginfo-0.13.1-1.fc17.x86_64', '2:libpng-debuginfo-1.5.10-1.fc17.x86_64', 'librsvg2-2.36.1-1.fc17.x86_64', 'librsvg2-debuginfo-2.36.1-1.fc17.x86_64', 'libselinux-debuginfo-2.1.10-3.fc17.x86_64', 'libsndfile-debuginfo-1.0.25-2.fc17.x86_64', 'libsoup-debuginfo-2.38.1-1.fc17.x86_64', 'libtasn1-debuginfo-2.12-1.fc17.x86_64', 'libtdb-debuginfo-1.2.10-15.fc17.x86_64', 'libtool-debuginfo-2.4.2-3.fc17.x86_64', '1:libvorbis-debuginfo-1.3.3-1.fc17.x86_64', 'libxcb-debuginfo-1.8.1-1.fc17.x86_64', 'libxkbfile-debuginfo-1.0.8-1.fc17.x86_64', 'libxklavier-debuginfo-5.2.1-1.fc17.x86_64', 'libxml2-debuginfo-2.7.8-7.fc17.x86_64', 'mesa-debuginfo-8.0.3-3.fc17.x86_64', 'mesa-dri-drivers-8.0.3-3.fc17.x86_64', 'mutter-debuginfo-3.4.1-3.fc17.x86_64', 'nspr-debuginfo-4.9.1-2.fc17.x86_64', 'nss-debuginfo-3.13.5-1.fc17.x86_64', 'nss-softokn-debuginfo-3.13.5-1.fc17.x86_64', 'nss-util-debuginfo-3.13.5-1.fc17.x86_64', '1:openssl-1.0.0j-1.fc17.x86_64', '1:openssl-debuginfo-1.0.0j-1.fc17.x86_64', 'p11-kit-debuginfo-0.12-1.fc17.x86_64', 'pango-debuginfo-1.30.0-1.fc17.x86_64', 'pixman-0.24.4-2.fc17.x86_64', 'pixman-debuginfo-0.24.4-2.fc17.x86_64', 'polkit-debuginfo-0.104-6.fc17.x86_64', 'pulseaudio-debuginfo-1.1-9.fc17.x86_64', 'sqlite-debuginfo-3.7.11-3.fc17.x86_64', 'startup-notification-debuginfo-0.12-3.fc17.x86_64', 'systemd-debuginfo-44-17.fc17.x86_64', 'tcp_wrappers-debuginfo-7.6-69.fc17.x86_64', 'tcp_wrappers-libs-7.6-69.fc17.x86_64', 'telepathy-glib-debuginfo-0.18.1-2.fc17.x86_64', 'telepathy-logger-debuginfo-0.4.0-2.fc17.x86_64', 'udev-debuginfo-182-3.fc17.x86_64', 'upower-debuginfo-0.9.17-1.fc17.x86_64', 'util-linux-debuginfo-2.21.2-2.fc17.x86_64', 'xcb-util-debuginfo-0.3.8-2.fc17.x86_64', 'zlib-1.2.5-6.fc17.x86_64', 'zlib-debuginfo-1.2.5-6.fc17.x86_64', 'shadow-utils', 'gdb', 'rpm', '--setopt=tsflags=nocontexts']
Error: Protected multilib versions: 1:openssl-1.0.0j-2.fc17.i686 != 1:openssl-1.0.0j-1.fc17.x86_64
Error: Protected multilib versions: PackageKit-glib-0.7.6-1.fc17.x86_64 != PackageKit-glib-0.7.5-1.fc17.i686
Error: Protected multilib versions: krb5-libs-1.10.2-2.fc17.x86_64 != krb5-libs-1.10.2-6.fc17.i686
Error: Protected multilib versions: zlib-1.2.5-7.fc17.i686 != zlib-1.2.5-6.fc17.x86_64
Error: Protected multilib versions: PackageKit-0.7.5-1.fc17.i686 != PackageKit-0.7.6-1.fc17.x86_64
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 Jerry James 2012-09-10 10:37:21 EDT
Just hit this, too.  It looks like the retrace server's mock config is setup to pull from the buildroot overrides.  This is guaranteed to cause problems.  If package X is in a buildroot override, it is there for only one reason: one or more other packages that depend on it need to be rebuilt.  This means that the version of package X in the buildroot override cannot be installed together with the versions of those other packages that are already in the repo, and other versions of those packages may not exist yet.
Comment 2 Jerry James 2012-09-10 10:47:55 EDT
No, I was wrong.  The PackageKit-0.7.6-1 update is not in buildroot overrides, but rather in -updates-testing:

https://admin.fedoraproject.org/updates/FEDORA-2012-12509/PackageKit-0.7.6-1.fc17
Comment 3 Matthieu Pupat 2012-09-14 11:59:46 EDT
Looks like a duplicate of #855136
Comment 4 Jiri Moskovcak 2012-10-22 06:53:32 EDT
The chroot install algorithm has been rewritten to not use yum and I believe it should address even the problem from this bugzilla.

Note You need to log in before you can comment on or make changes to this bug.